Package com.sun.jna.platform.win32

## Interface Winsvc.SERVICE_MAIN_FUNCTION

- All Superinterfaces:
    `AltCallingConvention`, `Callback`, `StdCall`, `StdCallLibrary.StdCallCallback`
  Enclosing interface:
    Winsvc

      public static interface Winsvc.SERVICE_MAIN_FUNCTION
      extends StdCallLibrary.StdCallCallback

  The entry point for a service.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.jna.Callback

      `Callback.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from interface com.sun.jna.Callback

      `FORBIDDEN_NAMES, METHOD_NAME`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `callback​(int dwArgc, Pointer lpszArgv)` |

- - ### Method Detail

    - #### callback

          void callback​(int dwArgc,
                        Pointer lpszArgv)

      Parameters:
        `dwArgc` - [in] The number of arguments in the lpszArgv array.
        `lpszArgv` - [in] The null-terminated argument strings passed to the service by the call to the StartService function that started the service. If there are no arguments, this parameter can be NULL. Otherwise, the first argument (lpszArgv[0]) is the name of the service, followed by any additional arguments (lpszArgv[1] through lpszArgv[dwArgc-1]).

        If the user starts a manual service using the Services snap-in from the Control Panel, the strings for the lpszArgv parameter come from the properties dialog box for the service (from the Services snap-in, right-click the service entry, click Properties, and enter the parameters in Start parameters.)